<?php
/**
 * Email template for sending coupon to customer for refund
 *
 * @package woocommerce-smart-refunder/templates/
 * @version 1.4.3
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $smart_refunder;

$email_heading = apply_filters( 'email_heading_customer_coupon_for_refund_', $email_heading );

wc_get_template( 'emails/email-header.php', array( 'email_heading' => wp_strip_all_tags( $email_heading ) ) );

do_action( 'before_message_coupon_for_refund_email' );

?>

<p>
	<?php
		/* translators: The blog name */
		$message = sprintf( __( 'You\'ve received this coupon for refund. You can use this coupon any time for any product from %s', 'woocommerce-smart-refunder' ), $blogname );
		// Not escaping because it might contain HTML code.
		echo apply_filters( 'message_coupon_for_refund_email', $message ); // phpcs:ignore
	?>
</p>

<?php do_action( 'after_message_coupon_for_refund_email' ); ?>

<p><?php echo esc_html__( 'To redeem your discount use the following coupon code during checkout:', 'woocommerce-smart-refunder' ); ?></p>

<?php // Not escpaing because it might contain HTML code. ?>
<?php echo apply_filters( 'generated_coupon_code_for_refund_email', '<center><h3>' . esc_html( $generated_coupon_code ) . '</h3></center>' ); // phpcs:ignore ?>

<center><a href="<?php echo esc_url( $url ); ?>"><?php echo esc_html__( 'Visit store', 'woocommerce-smart-refunder' ); ?></a></center>

<div style="clear:both;"></div>

<?php

do_action( 'before_footer_coupon_for_refund_email' );

wc_get_template( 'emails/email-footer.php' );
